Get payment link QR code | Moov Documentation
Get payment link QR code
Retrieve the payment link encoded in a QR code.
Use the Accept header to specify the format of the response. Supported formats are application/json and image/png.
To access this endpoint using an access token
you'll need to specify the /accounts/{accountID}/transfers.write scope.
GET
/accounts/{accountID}/payment-links/{paymentLinkCode}/qrcode
Ask
curl -X GET "https://api.moov.io/accounts/{accountID}/payment-links/{paymentLinkCode}/qrcode" \
-H "Authorization: Bearer {token}" \
-H "X-Moov-Version: v2026.07.00"
Ask
import { Moov } from "@moovio/sdk";
const moov = new Moov({
security: {
username: "",
password: "",
},
});
async function run() {
const result = await moov.paymentLinks.getQRCode({
accountID: "2f01a42a-aa5a-424f-9f47-6f8999ed05dc",
paymentLinkCode: "uc7ZYKrMhi",
});
console.log(result);
}
run();
Ask
declare(strict_types=1);
require 'vendor/autoload.php';
use Moov\